utl::meta::wrap_i< T, F > Struct Template Reference

Wrap a template `F` taking literal constants of type `T` into an Invokable. More...

`#include <invoke.h>`

## Public Types

template<typename... Ts>
using | apply = F< Ts::type::value... >

## Detailed Description

### template<typename T, template< T... > class F>
struct utl::meta::wrap_i< T, F >

Wrap a template `F` taking literal constants of type `T` into an Invokable.

Definition at line 107 of file invoke.h.

## Member Typedef Documentation

## apply

template<typename T , template< T... > class F>
template<typename... Ts>

using utl::meta::wrap_i< T, F >::apply = F<Ts::type::value...>

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/invoke.h.

Definition at line 110 of file invoke.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/invoke.h